diff --git a/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-platforms/tegra186-cvb-prod-p2597-b00-p3310-1000-a00-00.dtsi b/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-platforms/tegra186-cvb-prod-p2597-b00-p3310-1000-a00-00.dtsi
index 9905dd7..aa19057 100644
--- a/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-platforms/tegra186-cvb-prod-p2597-b00-p3310-1000-a00-00.dtsi
+++ b/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-platforms/tegra186-cvb-prod-p2597-b00-p3310-1000-a00-00.dtsi
@@ -18,92 +18,6 @@
 #include <dt-bindings/input/input.h>
 
 / {
-
-	i2c@3160000 {
-		ina3221x@42 {
-			compatible = "ti,ina3221x";
-			reg = <0x42>;
-			ti,trigger-config = <0x7003>;
-			ti,continuous-config = <0x7c07>;
-			ti,enable-forced-continuous;
-			#address-cells = <1>;
-			#size-cells = <0>;
-			channel@0 {
-				reg = <0x0>;
-				ti,rail-name = "VDD_MUX";
-				ti,shunt-resistor-mohm = <20>;
-			};
-			channel@1 {
-				reg = <0x1>;
-				ti,rail-name = "VDD_5V0_IO_SYS";
-				ti,shunt-resistor-mohm = <5>;
-			};
-			channel@2 {
-				reg = <0x2>;
-				ti,rail-name = "VDD_3V3_SYS";
-				ti,shunt-resistor-mohm = <10>;
-			};
-		};
-
-		ina3221x@43 {
-			compatible = "ti,ina3221x";
-			reg = <0x43>;
-			ti,trigger-config = <0x7003>;
-			ti,continuous-config = <0x7c07>;
-			ti,enable-forced-continuous;
-			#address-cells = <1>;
-			#size-cells = <0>;
-			channel@0 {
-				reg = <0x0>;
-				ti,rail-name = "VDD_3V3_IO_SLP";
-				ti,shunt-resistor-mohm = <10>;
-			};
-			channel@1 {
-				reg = <0x1>;
-				ti,rail-name = "VDD_1V8_IO";
-				ti,shunt-resistor-mohm = <10>;
-			};
-			channel@2 {
-				reg = <0x2>;
-				ti,rail-name = "VDD_3V3_SYS_M2";
-				ti,shunt-resistor-mohm = <10>;
-			};
-		};
-
-		gpio_i2c_0_74: gpio@74 {
-			compatible = "ti,tca9539";
-			reg = <0x74>;
-			gpio-controller;
-			#gpio-cells = <2>;
-			vcc-supply = <&battery_reg>;
-		};
-		gpio@74 {
-			touch-rails {
-				gpio-hog;
-				gpios = <1 0 2 0>;
-				output-high;
-				label = "touch-rail-1", "touch-rail-2";
-			};
-		};
-
-		gpio_i2c_0_77: gpio@77 {
-			compatible = "ti,tca9539";
-			reg = <0x77>;
-			gpio-controller;
-			#gpio-cells = <2>;
-			vcc-supply = <&battery_reg>;
-		};
-
-		gpio@77 {
-			lcd-bias-rails {
-				gpio-hog;
-				gpios = <4 0>;
-				output-high;
-				label = "lcd-bias-en-rail";
-			};
-		};
-	};
-
 	fixed-regulators {
 		hdr40_vdd_5v0: battery_reg: regulator@0 {
 			compatible = "regulator-fixed";
@@ -130,7 +44,6 @@
 			regulator-name = "en-vdd-cam";
 			regulator-min-microvolt = <1800000>;
 			regulator-max-microvolt = <1800000>;
-			gpio = <&gpio_i2c_0_77 9 1>;
 			enable-active-high;
 		};
 
@@ -140,7 +53,6 @@
 			regulator-name = "vdd-hdmi";
 			regulator-min-microvolt = <5000000>;
 			regulator-max-microvolt = <5000000>;
-			gpio = <&gpio_i2c_0_74 12 1>;
 			enable-active-high;
 			regulator-always-on;
 			regulator-boot-on;
@@ -174,7 +86,6 @@
 			regulator-name = "en-vdd-ts-1v8";
 			regulator-min-microvolt = <1800000>;
 			regulator-max-microvolt = <1800000>;
-			gpio = <&gpio_i2c_0_74 1 1>;
 			enable-active-high;
 			regulator-always-on;
 			regulator-boot-on;
@@ -186,7 +97,6 @@
 			regulator-name = "en-vdd-ts-hv-3v3";
 			regulator-min-microvolt = <3300000>;
 			regulator-max-microvolt = <3300000>;
-			gpio = <&gpio_i2c_0_74 2 1>;
 			enable-active-high;
 			regulator-always-on;
 			regulator-boot-on;
@@ -198,7 +108,6 @@
 			regulator-name = "en-vdd-disp-3v3";
 			regulator-min-microvolt = <3300000>;
 			regulator-max-microvolt = <3300000>;
-			gpio = <&gpio_i2c_0_74 3 0>;
 			enable-active-high;
 		};
 
@@ -208,7 +117,6 @@
 			regulator-name = "en-mdm-pwr-3v7";
 			regulator-min-microvolt = <3700000>;
 			regulator-max-microvolt = <3700000>;
-			gpio = <&gpio_i2c_0_74 7 1>;
 			enable-active-high;
 		};
 
@@ -218,7 +126,6 @@
 			regulator-name = "en-vdd-disp-1v8";
 			regulator-min-microvolt = <1800000>;
 			regulator-max-microvolt = <1800000>;
-			gpio = <&gpio_i2c_0_74 9 1>;
 			enable-active-high;
 		};
 
@@ -228,7 +135,6 @@
 			regulator-name = "en-vdd-cam-hv-2v8";
 			regulator-min-microvolt = <2800000>;
 			regulator-max-microvolt = <2800000>;
-			gpio = <&gpio_i2c_0_74 13 1>;
 			enable-active-high;
 		};
 
@@ -238,7 +144,6 @@
 			regulator-name = "en-vdd-cam-1v2";
 			regulator-min-microvolt = <1200000>;
 			regulator-max-microvolt = <1200000>;
-			gpio = <&gpio_i2c_0_77 10 0>;
 			enable-active-high;
 		};
 
@@ -248,7 +153,7 @@
 			regulator-name = "vdd-fan";
 			regulator-min-microvolt = <5000000>;
 			regulator-max-microvolt = <5000000>;
-			gpio = <&gpio_i2c_0_74 4 0>;
+			regulator-always-on;
 		};
 
 		hdr40_vdd_3v3: vdd_3v3: regulator@14 {
@@ -265,7 +170,6 @@
 			regulator-name = "dis-vdd-1v2";
 			regulator-min-microvolt = <1200000>;
 			regulator-max-microvolt = <1200000>;
-			gpio = <&gpio_i2c_0_74 10 1>;
 			enable-active-high;
 			regulator-always-on;
 			regulator-boot-on;
@@ -286,7 +190,6 @@
 			regulator-name = "vdd-usb2-5v";
 			regulator-min-microvolt = <5000000>;
 			regulator-max-microvolt = <5000000>;
-			gpio = <&gpio_i2c_0_74 0 0>;
 		};
 
 		vdd_bl_en: regulator@18 {
@@ -303,7 +206,6 @@
 			regulator-name = "en-vdd-sys";
 			regulator-min-microvolt = <1200000>;
 			regulator-max-microvolt = <1200000>;
-			gpio = <&gpio_i2c_0_77 3 1>;
 		};
 	};
 
diff --git a/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-platforms/tegra186-cvb-prod-p2597-b00-p3489-1000-a00-00.dtsi b/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-platforms/tegra186-cvb-prod-p2597-b00-p3489-1000-a00-00.dtsi
index cd4bc70..a938b73 100644
--- a/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-platforms/tegra186-cvb-prod-p2597-b00-p3489-1000-a00-00.dtsi
+++ b/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-platforms/tegra186-cvb-prod-p2597-b00-p3489-1000-a00-00.dtsi
@@ -19,110 +19,6 @@
 
 / {
 
-	i2c@3160000 {
-		ina3221x@42 {
-			compatible = "ti,ina3221x";
-			reg = <0x42>;
-			ti,trigger-config = <0x7003>;
-			ti,continuous-config = <0x7c07>;
-			ti,enable-forced-continuous;
-			#address-cells = <1>;
-			#size-cells = <0>;
-			channel@0 {
-				reg = <0x0>;
-				ti,rail-name = "VDD_MUX";
-				ti,shunt-resistor-mohm = <20>;
-			};
-			channel@1 {
-				reg = <0x1>;
-				ti,rail-name = "VDD_5V0_IO_SYS";
-				ti,shunt-resistor-mohm = <5>;
-			};
-			channel@2 {
-				reg = <0x2>;
-				ti,rail-name = "VDD_3V3_SYS";
-				ti,shunt-resistor-mohm = <10>;
-			};
-		};
-
-		ina3221x@43 {
-			compatible = "ti,ina3221x";
-			reg = <0x43>;
-			ti,trigger-config = <0x7003>;
-			ti,continuous-config = <0x7c07>;
-			ti,enable-forced-continuous;
-			#address-cells = <1>;
-			#size-cells = <0>;
-			channel@0 {
-				reg = <0x0>;
-				ti,rail-name = "VDD_3V3_IO_SLP";
-				ti,shunt-resistor-mohm = <10>;
-			};
-			channel@1 {
-				reg = <0x1>;
-				ti,rail-name = "VDD_1V8_IO";
-				ti,shunt-resistor-mohm = <10>;
-			};
-			channel@2 {
-				reg = <0x2>;
-				ti,rail-name = "VDD_3V3_SYS_M2";
-				ti,shunt-resistor-mohm = <10>;
-			};
-		};
-
-		gpio_i2c_0_74: gpio@74 {
-			compatible = "ti,tca9539";
-			reg = <0x74>;
-			gpio-controller;
-			#gpio-cells = <2>;
-			vcc-supply = <&battery_reg>;
-		};
-		gpio@74 {
-			touch-rails {
-				gpio-hog;
-				gpios = <1 0 2 0>;
-				output-high;
-				label = "touch-rail-1", "touch-rail-2";
-			};
-		};
-
-		gpio_i2c_0_77: gpio@77 {
-			compatible = "ti,tca9539";
-			reg = <0x77>;
-			gpio-controller;
-			#gpio-cells = <2>;
-			vcc-supply = <&battery_reg>;
-		};
-
-		gpio@77 {
-			lcd-bias-rails {
-				gpio-hog;
-				gpios = <4 0>;
-				output-high;
-				label = "lcd-bias-en-rail";
-			};
-		};
-
-
-		gpio_i2c_0_21: gpio@21 {
-			compatible = "ti,tca6408";
-			status = "disabled";
-			reg = <0x21>;
-			gpio-controller;
-			#gpio-cells = <2>;
-			vcc-supply = <&battery_reg>;
-		};
-
-		gpio@21 {
-			vpp-vmm-rails {
-				gpio-hog;
-				gpios = <2 0 3 0>;
-				output-high;
-				label = "vpp-en-rail", "vmm-en-rail";
-			};
-		};
-	};
-
 	fixed-regulators {
 		battery_reg: regulator@0 {
 			compatible = "regulator-fixed";
@@ -149,7 +45,6 @@
 			regulator-name = "en-vdd-cam";
 			regulator-min-microvolt = <1800000>;
 			regulator-max-microvolt = <1800000>;
-			gpio = <&gpio_i2c_0_77 9 1>;
 			enable-active-high;
 		};
 
@@ -159,7 +54,6 @@
 			regulator-name = "vdd-hdmi";
 			regulator-min-microvolt = <5000000>;
 			regulator-max-microvolt = <5000000>;
-			gpio = <&gpio_i2c_0_74 12 1>;
 			enable-active-high;
 			regulator-always-on;
 			regulator-boot-on;
@@ -193,7 +87,6 @@
 			regulator-name = "en-vdd-ts-1v8";
 			regulator-min-microvolt = <1800000>;
 			regulator-max-microvolt = <1800000>;
-			gpio = <&gpio_i2c_0_74 1 1>;
 			enable-active-high;
 			regulator-always-on;
 			regulator-boot-on;
@@ -205,7 +98,6 @@
 			regulator-name = "en-vdd-ts-hv-3v3";
 			regulator-min-microvolt = <3300000>;
 			regulator-max-microvolt = <3300000>;
-			gpio = <&gpio_i2c_0_74 2 1>;
 			enable-active-high;
 			regulator-always-on;
 			regulator-boot-on;
@@ -217,7 +109,6 @@
 			regulator-name = "en-vdd-disp-3v3";
 			regulator-min-microvolt = <3300000>;
 			regulator-max-microvolt = <3300000>;
-			gpio = <&gpio_i2c_0_74 3 0>;
 			enable-active-high;
 		};
 
@@ -227,7 +118,6 @@
 			regulator-name = "en-mdm-pwr-3v7";
 			regulator-min-microvolt = <3700000>;
 			regulator-max-microvolt = <3700000>;
-			gpio = <&gpio_i2c_0_74 7 1>;
 			enable-active-high;
 		};
 
@@ -237,7 +127,6 @@
 			regulator-name = "en-vdd-disp-1v8";
 			regulator-min-microvolt = <1800000>;
 			regulator-max-microvolt = <1800000>;
-			gpio = <&gpio_i2c_0_74 9 1>;
 			enable-active-high;
 		};
 
@@ -247,7 +136,6 @@
 			regulator-name = "en-vdd-cam-hv-2v8";
 			regulator-min-microvolt = <2800000>;
 			regulator-max-microvolt = <2800000>;
-			gpio = <&gpio_i2c_0_74 13 1>;
 			enable-active-high;
 		};
 
@@ -257,7 +145,6 @@
 			regulator-name = "en-vdd-cam-1v2";
 			regulator-min-microvolt = <1200000>;
 			regulator-max-microvolt = <1200000>;
-			gpio = <&gpio_i2c_0_77 10 0>;
 			enable-active-high;
 		};
 
@@ -267,7 +154,7 @@
 			regulator-name = "vdd-fan";
 			regulator-min-microvolt = <5000000>;
 			regulator-max-microvolt = <5000000>;
-			gpio = <&gpio_i2c_0_74 4 0>;
+			regulator-always-on;
 		};
 
 		vdd_3v3: regulator@14 {
@@ -284,7 +171,6 @@
 			regulator-name = "dis-vdd-1v2";
 			regulator-min-microvolt = <1200000>;
 			regulator-max-microvolt = <1200000>;
-			gpio = <&gpio_i2c_0_74 10 1>;
 			enable-active-high;
 			regulator-always-on;
 			regulator-boot-on;
@@ -305,7 +191,6 @@
 			regulator-name = "vdd-usb2-5v";
 			regulator-min-microvolt = <5000000>;
 			regulator-max-microvolt = <5000000>;
-			gpio = <&gpio_i2c_0_74 0 0>;
 		};
 
 		vdd_bl_en: regulator@18 {
@@ -322,7 +207,6 @@
 			regulator-name = "en-vdd-sys";
 			regulator-min-microvolt = <1200000>;
 			regulator-max-microvolt = <1200000>;
-			gpio = <&gpio_i2c_0_77 3 1>;
 		};
 	};
 
diff --git a/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-platforms/tegra186-cvb-slt-common-p2598-1099-a00.dtsi b/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-platforms/tegra186-cvb-slt-common-p2598-1099-a00.dtsi
index a027b1a..60a1816 100644
--- a/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-platforms/tegra186-cvb-slt-common-p2598-1099-a00.dtsi
+++ b/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-platforms/tegra186-cvb-slt-common-p2598-1099-a00.dtsi
@@ -17,64 +17,6 @@
 #include <dt-bindings/input/input.h>
 
 / {
-	i2c@3160000 {
-
-		gpio_i2c_0_77: gpio@77 {
-			compatible = "ti,tca9539";
-			reg = <0x77>;
-			gpio-controller;
-			#gpio-cells = <2>;
-			vcc-supply = <&battery_reg>;
-		};
-
-		gpio_i2c_0_74: gpio@74 {
-			compatible = "ti,tca9539";
-			reg = <0x74>;
-			gpio-controller;
-			#gpio-cells = <2>;
-			vcc-supply = <&battery_reg>;
-		};
-
-		gpio_i2c_0_20: gpio@20 {
-			compatible = "ti,tca9539";
-			reg = <0x20>;
-			gpio-controller;
-			#gpio-cells = <2>;
-			vcc-supply = <&battery_reg>;
-		};
-
-		gpio_i2c_0_21: gpio@21 {
-			compatible = "ti,tca9539";
-			reg = <0x21>;
-			gpio-controller;
-			#gpio-cells = <2>;
-			vcc-supply = <&battery_reg>;
-		};
-
-		gpio_i2c_0_22: gpio@22 {
-			compatible = "ti,tca9539";
-			reg = <0x22>;
-			gpio-controller;
-			#gpio-cells = <2>;
-			vcc-supply = <&battery_reg>;
-		};
-
-		gpio_i2c_0_23: gpio@23 {
-			compatible = "ti,tca9539";
-			reg = <0x23>;
-			gpio-controller;
-			#gpio-cells = <2>;
-			vcc-supply = <&battery_reg>;
-		};
-
-		gpio_i2c_0_24: gpio@24 {
-			compatible = "ti,tca9539";
-			reg = <0x24>;
-			gpio-controller;
-			#gpio-cells = <2>;
-			vcc-supply = <&battery_reg>;
-		};
-	};
 
 	fixed-regulators {
 		dvdd_cam_io_1v8: regulator@101 {
@@ -83,7 +25,6 @@
 			regulator-name = "dvdd-cam-io-1v8";
 			regulator-min-microvolt = <1800000>;
 			regulator-max-microvolt = <1800000>;
-			gpio = <&gpio_i2c_0_77 9 0>;
 			enable-active-high;
 		};
 
@@ -93,7 +34,6 @@
 			regulator-name = "dvdd-cam-io-1v2";
 			regulator-min-microvolt = <1200000>;
 			regulator-max-microvolt = <1200000>;
-			gpio = <&gpio_i2c_0_77 10 0>;
 			enable-active-high;
 		};
 
@@ -103,7 +43,6 @@
 			regulator-name = "en-vdd-ts-1v8";
 			regulator-min-microvolt = <1800000>;
 			regulator-max-microvolt = <1800000>;
-			gpio = <&gpio_i2c_0_74 1 0>;
 			enable-active-high;
 		};
 
@@ -113,7 +52,6 @@
 			regulator-name = "avdd-ts-dis";
 			regulator-min-microvolt = <3300000>;
 			regulator-max-microvolt = <3300000>;
-			gpio = <&gpio_i2c_0_74 2 0>;
 			enable-active-high;
 		};
 
@@ -123,7 +61,6 @@
 			regulator-name = "vdd-dis-3v3-lcd";
 			regulator-min-microvolt = <3300000>;
 			regulator-max-microvolt = <3300000>;
-			gpio = <&gpio_i2c_0_74 3 0>;
 			enable-active-high;
 		};
 
@@ -133,7 +70,6 @@
 			regulator-name = "vdd-lcd-1v8-dis";
 			regulator-min-microvolt = <1800000>;
 			regulator-max-microvolt = <1800000>;
-			gpio = <&gpio_i2c_0_74 9 0>;
 			enable-active-high;
 		};
 
@@ -143,7 +79,6 @@
 			regulator-name = "dis-vdd-1v2-en";
 			regulator-min-microvolt = <1200000>;
 			regulator-max-microvolt = <1200000>;
-			gpio = <&gpio_i2c_0_74 10 0>;
 			enable-active-high;
 		};
 
@@ -153,7 +88,6 @@
 			regulator-name = "vddio-5v0-hdmi";
 			regulator-min-microvolt = <5000000>;
 			regulator-max-microvolt = <5000000>;
-			gpio = <&gpio_i2c_0_74 12 0>;
 			enable-active-high;
 		};
 
@@ -163,7 +97,6 @@
 			regulator-name = "avdd-cam-2v8";
 			regulator-min-microvolt = <2800000>;
 			regulator-max-microvolt = <2800000>;
-			gpio = <&gpio_i2c_0_74 13 0>;
 			enable-active-high;
 		};
 
@@ -173,7 +106,6 @@
 			regulator-name = "vdd-sdcard1-sw";
 			regulator-min-microvolt = <3300000>;
 			regulator-max-microvolt = <3300000>;
-			gpio = <&gpio_i2c_0_22 6 0>;
 			enable-active-high;
 		};
 
@@ -183,7 +115,6 @@
 			regulator-name = "vdd-sdcard3-sw";
 			regulator-min-microvolt = <3300000>;
 			regulator-max-microvolt = <3300000>;
-			gpio = <&gpio_i2c_0_22 6 0>;
 			enable-active-high;
 		};
 
diff --git a/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-platforms/tegra186-quill-common.dtsi b/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-platforms/tegra186-quill-common.dtsi
index ca102a3..7be8e48 100644
--- a/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-platforms/tegra186-quill-common.dtsi
+++ b/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-platforms/tegra186-quill-common.dtsi
@@ -299,7 +299,6 @@
 				nvidia,panel-rst-gpio = <&tegra_main_gpio TEGRA_MAIN_GPIO(P, 3) 1>; /* PP3 */
 				nvidia,panel-bl-pwm-gpio = <&tegra_aon_gpio TEGRA_AON_GPIO(U, 0) 1>; /* PU0 */
 				nvidia,panel-bl-en-gpio = <&tegra_aon_gpio TEGRA_AON_GPIO(U, 3) 1>; /* PU3 */
-				nvidia,panel-en-gpio = <&gpio_i2c_0_77 4 1>; /* tca9539 0x77 Pin 4 */
 				nvidia,en-vmm-vpp-with-i2c-config;
 				nvidia,default_color_space = <0>;
 				disp-default-out {
diff --git a/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-platforms/tegra186-quill-power-tree-p3310-1000-a00-00.dtsi b/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-platforms/tegra186-quill-power-tree-p3310-1000-a00-00.dtsi
index f604a60..7f2bc9a 100644
--- a/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-platforms/tegra186-quill-power-tree-p3310-1000-a00-00.dtsi
+++ b/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-platforms/tegra186-quill-power-tree-p3310-1000-a00-00.dtsi
@@ -106,7 +106,7 @@
 	pinctrl@3520000 {
 		vbus-0-supply = <&vdd_usb0_5v>;
 		vbus-1-supply = <&vdd_usb1_5v>;
-		vbus-2-supply = <&vdd_usb2_5v>;
+		vbus-2-supply = <&battery_reg>;
 		vbus-3-supply = <&battery_reg>;
 		vddio-hsic-supply = <&battery_reg>;
 		avdd_usb-supply = <&spmic_sd3>;
diff --git a/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-platforms/tegra186-quill-power-tree-p3489-1000-a00-00.dtsi b/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-platforms/tegra186-quill-power-tree-p3489-1000-a00-00.dtsi
index a443a02..a61926f 100644
--- a/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-platforms/tegra186-quill-power-tree-p3489-1000-a00-00.dtsi
+++ b/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-platforms/tegra186-quill-power-tree-p3489-1000-a00-00.dtsi
@@ -106,7 +106,7 @@
 	pinctrl@3520000 {
 		vbus-0-supply = <&vdd_usb0_5v>;
 		vbus-1-supply = <&vdd_usb1_5v>;
-		vbus-2-supply = <&vdd_usb2_5v>;
+		vbus-2-supply = <&battery_reg>;
 		vbus-3-supply = <&battery_reg>;
 		vddio-hsic-supply = <&battery_reg>;
 		avdd_usb-supply = <&spmic_sd3>;
diff --git a/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-plugin-manager/tegra186-quill-display-plugin-manager.dtsi b/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-plugin-manager/tegra186-quill-display-plugin-manager.dtsi
index 0997ada..0336b60 100644
--- a/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-plugin-manager/tegra186-quill-display-plugin-manager.dtsi
+++ b/hardware/nvidia/platform/t18x/common/kernel-dts/t18x-common-plugin-manager/tegra186-quill-display-plugin-manager.dtsi
@@ -21,12 +21,6 @@
 				target = <&{/i2c@3160000/tps65132@3e}>;
 				_overlay_ {
 					status = "okay";
-					outp {
-						ti,enable-gpio = <&gpio_i2c_0_21 2 0>;
-					};
-					outn {
-						ti,enable-gpio = <&gpio_i2c_0_21 3 0>;
-					};
 				};
 			};
 			overrides@2 {
@@ -64,12 +58,9 @@
 				_overlay_ {
 					status = "okay";
 					outp {
-						ti,enable-gpio = <&gpio_i2c_0_77 4 0>;
 					};
 					outn {
 						delete-target-property = "ti,disable-active-discharge";
-						ti,enable-gpio = <&gpio_i2c_0_21 2 0>;
-						ti,active-discharge-gpio = <&gpio_i2c_0_21 3 0>;
 						ti,active-discharge-time = <2000>; /* in us */
 					};
 				};
@@ -77,7 +68,6 @@
 			overrides@2 {
 				target = <&en_vdd_disp_1v8>;
 				_overlay_ {
-					gpio = <&gpio_i2c_0_21 0 0>;
 				};
 			};
 			overrides@3 {
diff --git a/hardware/nvidia/platform/t18x/quill/kernel-dts/quill-platforms/tegra186-quill-camera-imx274.dtsi b/hardware/nvidia/platform/t18x/quill/kernel-dts/quill-platforms/tegra186-quill-camera-imx274.dtsi
index a0cd94a..da887fa 100644
--- a/hardware/nvidia/platform/t18x/quill/kernel-dts/quill-platforms/tegra186-quill-camera-imx274.dtsi
+++ b/hardware/nvidia/platform/t18x/quill/kernel-dts/quill-platforms/tegra186-quill-camera-imx274.dtsi
@@ -41,7 +41,6 @@
 		tc358840@1f {
 			single-source-max-width = "1920";
 			mclk = "extperiph2";
-			cam2_rst   = <&gpio_i2c_0_77 8 1>;
 			vif-supply = <&en_vdd_cam>;
 			vdig-supply = <&en_vdd_cam_1v2>;
 			reset-gpios = <&tegra_main_gpio CAM0_RST_L GPIO_ACTIVE_HIGH>;
diff --git a/kernel/kernel-4.9/signing_key.x509 b/kernel/kernel-4.9/signing_key.x509
deleted file mode 100644
index 86399c3..0000000
--- a/kernel/kernel-4.9/signing_key.x509
+++ /dev/null
@@ -1,24 +0,0 @@
------BEGIN CERTIFICATE-----
-MIID/TCCAuWgAwIBAgIJAJcPmDkJqolJMA0GCSqGSIb3DQEBBQUAMIGUMQswCQYD
-VQQGEwJVUzETMBEGA1UECAwKQ2FsaWZvcm5pYTEWMBQGA1UEBwwNTW91bnRhaW4g
-VmlldzEQMA4GA1UECgwHQW5kcm9pZDEQMA4GA1UECwwHQW5kcm9pZDEQMA4GA1UE
-AwwHQW5kcm9pZDEiMCAGCSqGSIb3DQEJARYTYW5kcm9pZEBhbmRyb2lkLmNvbTAe
-Fw0xNDExMDYxOTA3NDBaFw00MjAzMjQxOTA3NDBaMIGUMQswCQYDVQQGEwJVUzET
-MBEGA1UECAwKQ2FsaWZvcm5pYTEWMBQGA1UEBwwNTW91bnRhaW4gVmlldzEQMA4G
-A1UECgwHQW5kcm9pZDEQMA4GA1UECwwHQW5kcm9pZDEQMA4GA1UEAwwHQW5kcm9p
-ZDEiMCAGCSqGSIb3DQEJARYTYW5kcm9pZEBhbmRyb2lkLmNvbTCCASIwDQYJKoZI
-hvcNAQEBBQADggEPADCCAQoCggEBAOjreE0vTVSRenuzO9vnaWfk0eQzYab0gqpi
-6xAzi6dmD+ugoEKJmbPiuE5Dwf21isZ9uhUUu0dQM46dK4ocKxMRrcnmGxydFn6o
-fs3ODJMXOkv2gKXL/FdbEPdDbxzdu8z3yk+W67udM/fW7WbaQ3DO0knu+izKak/3
-T41c5uoXmQ81UNtAzRGzGchNVXMmWuTGOkg6U+0I2Td7K8yvUMWhAWPPpKLtVH9r
-AL5TzjYNR92izdKcz3AjRsI3CTjtpiVABGeX0TcjRSuZB7K9EK56HV+OFNS6I1NP
-jdD7FIShyGlqqZdUOkAUZYanbpgeT5N7QL6uuqcGpoTOkalu6kkCAwEAAaNQME4w
-HQYDVR0OBBYEFH5DM/m7oArf4O3peeKO0ZIEkrQPMB8GA1UdIwQYMBaAFH5DM/m7
-oArf4O3peeKO0ZIEkrQPMAwGA1UdEwQFMAMBAf8wDQYJKoZIhvcNAQEFBQADggEB
-AHO3NSvDE5jFvMehGGtS8BnFYdFKRIglDMc4niWSzhzOVYRH4WajxdtBWc5fx0ix
-NF/+hVKVhP6AIOQa+++sk+HIi7RvioPPbhjcsVlZe7cUEGrLSSveGouQyc+j0+m6
-JF84kszIl5GGNMTnx0XRPO+g8t6h5LWfnVydgZfpGRRg+WHewk1U2HlvTjIceb0N
-dcoJ8WKJAFWdcuE7VIm4w+vF/DYX/A2Oyzr2+QRhmYSv1cusgAeC1tvH4ap+J1Lg
-UnOu5Kh/FqPLLSwNVQp4Bu7b9QFfqK8Moj84bj88NqRGZgDyqzuTrFxn6FW7dmyA
-yttuAJAEAymk1mipd9+zp38=
------END CERTIFICATE-----